Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SpritePictureRGBA8 Class Reference

スプライトピクチャRGBA8 More...

`#include <SpritePictureRGBA8.h>`

Inheritance diagram for Lamp::SpritePictureRGBA8:

List of all members.

## Public Member Functions
| SpritePictureRGBA8 ()
| コンストラクタ
virtual | ~SpritePictureRGBA8 ()
| デストラクタ
virtual void | setSize (const DimensionI &size)
| サイズの設定
virtual Color4c * | getImageBuffer ()
| イメージバッファの取得
## Protected Member Functions
virtual bool | compileD3DTexture ()
| D3Dテクスチャのコンパイル.
virtual bool | compileImage (const Color4c *image, const DimensionI &size, int mipmapLevel)
| イメージのコンパイル
virtual bool | compileMipmap (const Color4c *image, const DimensionI &size, int mipmapLevel)
| ミップマップのコンパイル

## Detailed Description

スプライトピクチャRGBA8

Definition at line 36 of file SpritePictureRGBA8.h.

## Member Function Documentation

bool Lamp::SpritePictureRGBA8::compileD3DTexture | ( |  | ) | `[protected, virtual]`

| D3Dテクスチャのコンパイル. Returns: 成功すればtrueを返す Implements Lamp::SpritePicture. Definition at line 56 of file SpritePictureRGBA8.cpp. References Assert, compileMipmap(), Direct3DTexture, Lamp::SpritePicture::getSize(), Lamp::DimensionI::height, NULL, Lamp::SpritePicture::setD3DTexture(), and Lamp::DimensionI::width.

virtual Color4c* Lamp::SpritePictureRGBA8::getImageBuffer | ( |  | ) | `[inline, virtual]`

| イメージバッファの取得 Returns: イメージバッファ Definition at line 67 of file SpritePictureRGBA8.h. Referenced by Lamp::Sprite::loadPicture().

void Lamp::SpritePictureRGBA8::setSize | ( | const DimensionI & | size | ) | `[virtual]`

  | サイズの設定 Parameters:
  size | サイズ
Reimplemented from Lamp::SpritePicture. Definition at line 47 of file SpritePictureRGBA8.cpp. References Lamp::DimensionI::height, SafeArrayDelete, and Lamp::DimensionI::width. Referenced by Lamp::Sprite::loadPicture().

The documentation for this class was generated from the following files:

- SpritePictureRGBA8.h
- SpritePictureRGBA8.cpp